Update interviewer
curl --request PATCH \
--url https://www.intervyo.ai/api/v1/interviewers/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"persona": "<string>",
"context": {},
"interaction": {},
"evaluationDimensions": [
{}
],
"scoring": {},
"isPublic": true,
"additionalInstructions": "<string>"
}
'import requests
url = "https://www.intervyo.ai/api/v1/interviewers/{id}"
payload = {
"name": "<string>",
"persona": "<string>",
"context": {},
"interaction": {},
"evaluationDimensions": [{}],
"scoring": {},
"isPublic": True,
"additionalInstructions": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
persona: '<string>',
context: {},
interaction: {},
evaluationDimensions: [{}],
scoring: {},
isPublic: true,
additionalInstructions: '<string>'
})
};
fetch('https://www.intervyo.ai/api/v1/interviewers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>",
"issues": [
{}
]
}Interviewers
Update interviewer
PATCH
/
api
/
v1
/
interviewers
/
{id}
Update interviewer
Authorizations
API key with the iv_live_ prefix. Create one under Developer → API Keys.
Path Parameters
id identifier
Body
application/json
Display name
Agent persona description
{ organizationContext?, domainContext?, scenarioContext? }
{ tone?, style?, difficulty?, probingDepth? }
Replaces all dimensions — weights must sum to 100
{ scale?, scoringMethod?, recommendationLogic? }
Toggle public visibility
Tone or edge-case overrides
Response
Success
Last modified on July 10, 2026
Was this page helpful?
⌘I